NamingContextHolder (Java Platform SE 8 )
Keywords: org.omg.CosNaming.NamingContextHolder class
Date: 2018-03-02

org.omg.CosNaming

## Class NamingContextHolder

- java.lang.Object
- - org.omg.CosNaming.NamingContextHolder

- All Implemented Interfaces:
    Streamable

      public final class NamingContextHolder
      extends Object
      implements Streamable

  A naming context is an object that contains a set of name bindings in which each name is unique. Different names can be bound to an object in the same or different contexts at the same time.

  See CORBA COS Naming Specification.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NamingContext` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamingContextHolder()`
    `NamingContextHolder(NamingContext initialValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `_read(InputStream i)` Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
    `TypeCode` | `_type()` Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
    `void` | `_write(OutputStream o)` Marshals to `ostream` the value in the `value` field of the Holder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          public NamingContext value

  - ### Constructor Detail

    - #### NamingContextHolder

          public NamingContextHolder()

    - #### NamingContextHolder

          public NamingContextHolder(NamingContext initialValue)

  - ### Method Detail

    - #### _read

          public void _read(InputStream i)

      Description copied from interface: `Streamable`
      Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
      Specified by:
        `_read` in interface `Streamable`
      Parameters:
        `i` - the InputStream that represents the CDR data from the wire.

    - #### _write

          public void _write(OutputStream o)

      Description copied from interface: `Streamable`
      Marshals to `ostream` the value in the `value` field of the Holder.
      Specified by:
        `_write` in interface `Streamable`
      Parameters:
        `o` - the CDR OutputStream

    - #### _type

          public TypeCode _type()

      Description copied from interface: `Streamable`
      Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
      Specified by:
        `_type` in interface `Streamable`
      Returns:
        the `TypeCode` object for the value held in the holder

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.